<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_45) on Mon Mar 14 09:25:42 GMT 2016 -->
<title>com.stefanomantini.web.util</title>
<meta name="date" content="2016-03-14">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.stefanomantini.web.util";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/stefanomantini/web/rest/package-summary.html">Prev&nbsp;Package</a></li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/stefanomantini/web/util/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;com.stefanomantini.web.util</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/stefanomantini/web/util/AsyncMethodTimer.html" title="class in com.stefanomantini.web.util">AsyncMethodTimer</a></td>
<td class="colLast">
<div class="block">TODO set timeout on all rest controllers using 
 async Callable object</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../com/stefanomantini/web/util/Dispatcher.html" title="class in com.stefanomantini.web.util">Dispatcher</a></td>
<td class="colLast">
<div class="block">Manages dispatching data and solvers</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a></td>
<td class="colLast">
<div class="block">Request from user specifies granularly what params are available
 The reasoning behind POSTing an object is to allow for data
 to be passed in</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../com/stefanomantini/web/util/SolverResponseObject.html" title="class in com.stefanomantini.web.util">SolverResponseObject</a></td>
<td class="colLast">
<div class="block">Wraps SolverRequestObject and a tour to show 
 specified params of request in response</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Stefano Mantini</dd>
</dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/stefanomantini/web/rest/package-summary.html">Prev&nbsp;Package</a></li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/stefanomantini/web/util/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
